BLK_QUEUE_BYPASS_STA(9)

NAME
blk_queue_bypass_start - enter queue bypass mode

SYNOPSIS

void blk_queue_bypass_start(struct request_queue * q);

ARGUMENTS

q
    queue of interest

DESCRIPTION

In bypass mode, only the dispatch FIFO queue of q is used. This function makes q enter bypass mode and drains all requests which were throttled or issued before. On return, it's guaranteed that no request is being throttled or has ELVPRIV set and blk_queue_bypasstrue inside queue or RCU read lock.

COPYRIGHT